ig.module(
    'game.entities.player'
)
    .requires(
	'impact.entity'
)
    .defines(function() {

        EntityPlayer = ig.Entity.extend({

            size: {x:16, y: 16},
            flip: false,
            gravityFactor: 1,
            maxVel: {x: 100,y: 150},
            friction: {x: 300,y: 0},
            speed: 150,
            jump_speed: -200,
            animSheet: new ig.AnimationSheet('media/player.png', 16, 16),
			
        	type: ig.Entity.TYPE.A,


            init: function(x,y,settings) {
                this.parent(x, y, settings);
                this.addAnim('idle',1,[4]);			
				this.addAnim('walk', 0.1, [0, 1, 2, 1]);
				this.addAnim('jump', 1, [3]);
            },

            update: function(){
                this.parent();
			 

                if(ig.input.state("left")){
                    this.accel.x = -this.speed;
					this.flip = true;
                } else if(ig.input.state("right")){
                    this.accel.x = this.speed;
					this.flip = false;
                }else{
                    this.accel.x = 0;
                }

                if(ig.input.pressed("jump") && this.standing){
                    this.vel.y = this.jump_speed;
					var sound = new ig.Sound( 'media/jump.ogg' );
					sound.play();
                }
				
				// animations
				if(!this.standing){
					this.currentAnim = this.anims.jump;	
				}else if(this.vel.x == 0){
					this.currentAnim = this.anims.idle;
				}else{	
					this.currentAnim = this.anims.walk;
				}
				
				this.currentAnim.flip.x = this.flip;
				
				
				// check death from falling
				if(this.pos.y > ig.system.height){
					this.kill();
					
				}
            },
			
			
			
			kill: function(){
				// reset the player
				this.pos.x = 64;				
				this.pos.y = 144;
				// reset player health
				this.health = 10;
			}

        });

    });


