ig.module( 
	'game.main' 
)
.requires(
    'impact.debug.debug',
	'impact.game',
	'impact.font',

	// levels
	'game.levels.level_1'
)
.defines(function(){

MyGame = ig.Game.extend({
	
	// Load a font
	font: new ig.Font( 'media/04b03.font.png' ),
    gravity: 300,
	player: null,
	score_points: 0,
	
	init: function() {
		// Initialize your game here; bind keys etc.

		this.loadLevel(LevelLevel_1);

        // key binding
        ig.input.bind(ig.KEY.LEFT_ARROW,'left');
        ig.input.bind(ig.KEY.RIGHT_ARROW,'right');
        ig.input.bind(ig.KEY.SPACE,'jump');
		
		this.player = this.getEntitiesByType( EntityPlayer )[0];
		
		// play the bg music
		ig.music.add( 'media/eric_skiff_we_are_the_resistors.ogg' );
		ig.music.play();
	},
	
	update: function() {
		
		
		// Update all entities and backgroundMaps
		this.parent();
		
				
		// Add your own, additional update code here
	    
	    if( this.player ) {
	          this.screen.x = this.player.pos.x - ig.system.width/2;
	          this.screen.y = this.player.pos.y - ig.system.height/2;
	    }
			 
	},
	
	draw: function() {
		// Draw all entities and backgroundMaps
		this.parent();
		this.font.draw( 'Score: ' + this.score_points, 10, 10, ig.Font.ALIGN.LEFT );
		// display health of the player
		this.font.draw( 'Health: ' + this.player.health, 60, 10, ig.Font.ALIGN.LEFT );
	}
	
});


// Start the Game with 60fps, a resolution of 320x240, scaled
// up by a factor of 2
ig.main( '#canvas', MyGame, 60, 320, 240, 2 );

});

